/*  */
function return_cwfeqqr_sr(url, str_col, str_ret, fdne, dform, stype, fdname) {
	url += '&act=sr&col='+str_col+'&ret='+str_ret;
	var ids, vals;
	ids = str_col.split(',');
	vals = str_ret.replace(/\./g, '_').split(',');
	//Close Asynchronous Communication (非同步傳輸) 
	$.ajaxSetup({ async:false });
	$.get(url, '', function(m) {
		// console.log(m);
		var pary = JSON.parse(m);
		if (pary[0].result == 'false') {
			if (stype != 'Y') {
				if (pary[0].message) alert(pary[0].message);
				var objt = '', htpe = '';
				for (var i = 0; i < ids.length; i++) {
					objt = '';htpe = '';
					if ($(dform+' #'+ids[i]).length > 0) {
						objt = $(dform+' #'+ids[i]).attr('objt');htpe = $(dform+' #'+ids[i]).attr('htpe');
						if ((objt) || (htpe)) {
							if (objt == 'edNumeric' || objt == 'edFloat' || objt == 'edEditBtnF' ||
								htpe == 'edNumeric' || htpe == 'edFloat') {
								$(dform+' #'+ids[i]).val(0);
							} else if (objt != 'edComboList' && objt != 'edWebReplace' && objt != 'edCheckBox' &&
									   objt != 'edRadioGroup' && objt != 'edWebStr' && objt != 'edyymmEdit' &&
									   objt != 'edYearEdit' && objt != 'edMonthEdit' && objt != 'edTimeEdit' &&
									   objt != 'edSignature' && objt != 'edCkEditor') {
								$(dform+' #'+ids[i]).val('');
							}
						} else {
							$(dform+' #'+ids[i]).val('');
						}
					}
				}
			}
		} else {
			var data = pary[0].data[0];
			for (var i = 0; i < ids.length; i++) {
				if ($(dform+' #'+ids[i]).length > 0) {
					$(dform+' #'+ids[i]).val(data[vals[i]]);
				} else console.log('error:'+ids[i]+' does not exist!');
			}
		}
	});
	$.ajaxSetup({ async:true });
}